import { Network, SignOnlySigner, SignedTx, Signer, UnsignedTransaction } from '@wormhole-foundation/connect-sdk';
import { ethers } from 'ethers';
import { EvmChains } from '../types';
export declare function getEvmSigner(rpc: ethers.Provider, privateKey: string): Promise<Signer>;
export declare class EvmSigner<N extends Network, C extends EvmChains = EvmChains> implements SignOnlySigner<N, C> {
    private _chain;
    private provider;
    _wallet: ethers.Wallet;
    constructor(_chain: C, provider: ethers.Provider, privateKey: string);
    chain(): C;
    address(): string;
    sign(tx: UnsignedTransaction[]): Promise<SignedTx[]>;
}
//# sourceMappingURL=signer.d.ts.map